Skip to main content

External TRA

Fabrick allows performing an External Transaction Risk Analysis (TRA). This scenario occurs when a merchant directly integrates a fraud prevention service capable of providing a risk analysis compliant with PSD2 regulations and wishes to leverage this analysis to request an exemption from the standard 3D Secure (3DS) flow. As a result, the merchant can reduce authentication rejections, improving both the user experience for customers and the overall conversion rate.

Supported Integrations

HPPO
Pay By Link
Web Component
Lightbox
API Only
Plugin

Requirements for Use

To process transactions with an External TRA request, the following requirements must be met:

  • The acquirer has reviewed and approved the merchant's request to process transactions as TRA, based on:

    • historical fraud rate;
    • merchant's industry sector;
    • terms and conditions;
    • product or service characteristics;
    • implemented anti-fraud measures.

    Should the fraud rate exceed the acceptable threshold, the approval may be revoked.

  • The merchant has updated their integrations to include the exemption request parameter.

External TRA activation can be requested from your commercial representative.


Flow Behavior

When a transaction includes the parameter specified for External TRA:

  • an authorization request with TRA exemption is processed directly;
  • exempted transactions are not protected by 3DS security protocols;
  • in the event of fraud, liability falls on the merchant.

The issuer may still request authentication.
In this case the merchant will receive soft error 8006 and must handle the transaction as a standard 3D Secure transaction.


External TRA Payload

To process a transaction as an External TRA, the parameter transDetails.threeDSAuthResult.authenticationLevel = TR must be set.

Request

POST /api/v1/payment/create
Host (sandbox): sandbox.gestpay.net
Host (production): ecomms2s.sella.it
Authorization: apikey ****************
Content-Type: application/json
{
"shopLogin": "GESPAY12345",
"amount": "1.00",
"currency": "EUR",
"shopTransactionID": "OrderID",
"transDetails": {
"threeDSAuthResult": {
"authenticationLevel": "TR",
"authenticationStatus": "",
"XID": "",
"AV": "",
"ECI": "",
"AVAlgorithm": "",
"threeDsVersion": ""
}
}
}

Specific Errors

ErrorDescription / Action
8008 Function not availableThe shoplogin configuration is incomplete, for example the dedicated features for External TRA are missing.
8006 Verify By VisaCardholder authentication is required.
1182 Invalid \"authenticationLevel\" parameter valueThe value entered in the authenticationLevel field is not accepted. The integration must be checked/corrected to avoid systematic or recurring errors of this type.
1147 Amount too highThe transaction amount for which an exemption is requested exceeds the amount limit set by the acquirer.